OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.APPLE.VertexArrayRange

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetAPPLEVertexArrayRange :: MonadIO m => m Bool
- gl_APPLE_vertex_array_range :: Bool
- pattern GL_STORAGE_CACHED_APPLE :: GLenum
- pattern GL_STORAGE_CLIENT_APPLE :: GLenum
- pattern GL_STORAGE_SHARED_APPLE :: GLenum
- pattern GL_VERTEX_ARRAY_RANGE_APPLE :: GLenum
- pattern GL_VERTEX_ARRAY_RANGE_LENGTH_APPLE :: GLenum
- pattern GL_VERTEX_ARRAY_RANGE_POINTER_APPLE :: GLenum
- pattern GL_VERTEX_ARRAY_STORAGE_HINT_APPLE :: GLenum
- glFlushVertexArrayRangeAPPLE :: MonadIO m => GLsizei -> Ptr a -> m ()
- glVertexArrayParameteriAPPLE :: MonadIO m => GLenum -> GLint -> m ()
- glVertexArrayRangeAPPLE :: MonadIO m => GLsizei -> Ptr a -> m ()

# Extension Support

glGetAPPLEVertexArrayRange :: MonadIO m => m Bool Source #

Is the APPLE_vertex_array_range extension supported?

gl_APPLE_vertex_array_range :: Bool Source #

Is the APPLE_vertex_array_range extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetAPPLEVertexArrayRange` in those cases instead.

# Enums

pattern GL_STORAGE_CACHED_APPLE :: GLenum Source #

pattern GL_STORAGE_CLIENT_APPLE :: GLenum Source #

pattern GL_STORAGE_SHARED_APPLE :: GLenum Source #

pattern GL_VERTEX_ARRAY_RANGE_APPLE :: GLenum Source #

pattern GL_VERTEX_ARRAY_RANGE_LENGTH_APPLE :: GLenum Source #

pattern GL_VERTEX_ARRAY_RANGE_POINTER_APPLE :: GLenum Source #

pattern GL_VERTEX_ARRAY_STORAGE_HINT_APPLE :: GLenum Source #

# Functions

glFlushVertexArrayRangeAPPLE Source #

Arguments

:: MonadIO m |
=> GLsizei | `length`.
-> Ptr a | `pointer` pointing to `length` elements of type `a`.
-> m () |

glVertexArrayParameteriAPPLE Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type VertexArrayPNameAPPLE.
-> GLint | `param`.
-> m () |

glVertexArrayRangeAPPLE Source #

Arguments

:: MonadIO m |
=> GLsizei | `length`.
-> Ptr a | `pointer` pointing to `length` elements of type `a`.
-> m () |